Get all custom default folders Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/custom-default-folder

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[model] string

    Filter by model type. Valid types are [client, case, plan]

  • filter[is_active] boolean

    Filter only active custom default folders

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at]. Negative sign to denote DESC. Defaults to '-created_at'.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • description string

        The description of the custom default folders structure.

      • model string

        The model the default folders structure is for.

      • parameter string

        The parameter the default folders structure is for.

      • case_type object

        The case type object when model is "case" and the parameter is a valid case type UUID.

        Hide case_type attributes Show case_type attributes object
        • uuid string
        • name string
        • created_at string
        • updated_at string
      • structure array[object]

        The default folders structure.

        Hide structure attributes Show structure attributes object
        • name string
        • children array[object]
          Hide children attributes Show children attributes object
          • name string
          • children array
      • is_active boolean

        Whether the default folders structure is active.

      • for_existing boolean

        Whether the default folders structure is for existing clients.

GET /api/v1/custom-default-folder
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/custom-default-folder' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "954ea0a7-5b17-476b-82c5-de1b1cc1de23",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "description": "Shared client default folders",
      "model": "client",
      "parameter": "client",
      "case_type": {
        "uuid": "657bc45f-a90c-4ec9-aded-48cca38714ac",
        "name": "Mortgage Plan",
        "created_at": "2026-06-08T16:08:03+01:00",
        "updated_at": "2026-06-08T16:08:03+01:00"
      },
      "structure": [
        {
          "name": "Documents",
          "children": [
            {
              "name": "Contracts",
              "children": []
            },
            {
              "name": "Emails",
              "children": []
            }
          ]
        },
        {
          "name": "Notes",
          "children": []
        }
      ],
      "is_active": true,
      "for_existing": true
    }
  ]
}